package api

import (
	"gadmin/internal/admin/forms"
	"gadmin/internal/admin/service"
	"github.com/gin-gonic/gin"
)

func PlayerEquipments(c *gin.Context) {
	var req forms.PlayerEquipmentsReq
	if err := c.ShouldBind(&req); err == nil {
		res := service.PlayerMaterial.Equipments(c, req)
		c.JSON(200, res)
	} else {
		c.JSON(200, ErrorResponse(err))
	}
}
